## xfmail 1.3p0-1

=== config/Makefile ===
# $Id: Makefile,v 2.1 1997/09/23 16:09:10 gena Exp $

all:
	(cd .. && rm -f configure.in acconfig.h config.log config.cache config.status)
	(cd .. && ln -sf config/configure.in . && ln -sf config/acconfig.h .)
	(cd .. && autoheader && autoconf && rm -f configure.in acconfig.h)
	rm -f ../ui/Makefile ../compface/Makefile ../regex/Makefile ../Makefile
	rm -f ../ui/config.h ../ui/version.h
