=== debian/changelog ===
xfmail (1.3p0-1) unstable; urgency=low

  * New release.

 -- Matt Ryan <matt@banana.org.uk>  Sun, 17 May 1998 20:09:57 +0100

xfmail (1.2p0-3) unstable; urgency=low

  * Fixed shared lib dependancy on liblockfile0

 -- Matt Ryan <matt@banana.org.uk>  Sat,  7 Mar 1998 10:28:31 +0000

xfmail (1.2p0-2) unstable; urgency=low

  * Mailbox locking should now be improved (hopefully this will fix
    some outstanding problem's).
  * Fix an error message to give better error information.

 -- Matt Ryan <matt@banana.org.uk>  Sat, 21 Feb 1998 18:43:32 +0000

xfmail (1.2p0-1) unstable; urgency=low

  * New upstream version.

 -- Matt Ryan <matt@banana.org.uk>  Sun, 28 Dec 1997 15:47:25 +0000

xfmail (1.1p0-2) unstable non-free; urgency=low

  * Removed package name from description. (Fixes #13637)
  * Changed /usr/doc/xfmail/Copyright to /usr/doc/xfmail/copyright, also
    changed Architecture from i386 to any. (Fixes #14535)

 -- Matt Ryan <matt@banana.org.uk>  Wed,  5 Nov 1997 14:25:14 +0000

xfmail (1.1p0-1) unstable non-free; urgency=low

  * Initial debian package.

 -- Matt Ryan <matt@banana.org.uk>  Sun,  5 Oct 1997 12:23:32 +0100
