=== debian/control ===
Section: non-free/mail
Priority: optional
Maintainer: Matt Ryan <matt@banana.org.uk>
Standards-Version: 2.3.0.0

Package: xfmail
Architecture: any
Depends: ${shlibs:Depends}
Provides: mail-reader, imap-client
Description: X Window application for sending/receiving email.
 .
 It is partially compatible with mh style mailboxes but does not require any
 mh tools to be installed on the system.  You can browse your mh folders and
 messages using XFMail.
 .
 It has a user-friendly interface and online help to make it easy to use.
 It implements most of the mail functionality in one program and it does not
 require any additional tools.
