=== debian/rules ===
#!/usr/bin/make -f
#
# Rules for making XFmail - Matt Ryan
#
SHELL=/bin/bash
CC = gcc

do_cfg:
	test -f Makefile || \
	./configure --with-extra-includes=/usr/X11R6/include/X11

build:	do_cfg
	$(CC) -O2 -Wall debian/mailbox.c -o debian/mailbox -llockfile
	make

binary:	checkroot build
	-rm -rf debian/tmp

	# Setup directory structure
	install -d -m 755 -o root -g root debian/tmp/DEBIAN
	install -d -m 755 -o root -g root debian/tmp/usr/{doc,lib}/xfmail
	install -d -m 755 -o root -g root debian/tmp/usr/X11R6/{bin,man/man1}

	# Install binary and man page
	install -m 755 -o root -g root -s ui/xfmail debian/tmp/usr/X11R6/bin/xfmail
	install -m 2755 -o root -g mail -s debian/mailbox debian/tmp/usr/lib/xfmail/mailbox
	install -m 644 -o root -g root ui/xfmail.1 debian/tmp/usr/X11R6/man/man1/xfmail.1
	gzip -9 debian/tmp/usr/X11R6/man/man1/xfmail.1

	# Install changelog
	install -m 644 -o root -g root debian/changelog debian/tmp/usr/doc/xfmail/changelog.Debian
	# Install program specific files
	install -m 644 -o root -g root Changelog KNOWNBUGS TODO README debian/tmp/usr/doc/xfmail
	install -m 644 -o root -g root debian/README debian/tmp/usr/doc/xfmail/README.Debian
	gzip -9 debian/tmp/usr/doc/xfmail/*
	install -m 644 -o root -g root Copyright debian/tmp/usr/doc/xfmail/copyright

	# Debian stuff..
	dpkg-shlibdeps ui/xfmail debian/mailbox
	dpkg-gencontrol

	dpkg --build debian/tmp ..

clean:	do_cfg
	-rm -rf debian/tmp
	-rm -f debian/{files,substvars}
	test -f Makefile && make clean
	-rm -f ui/Makefile regex/Makefile compface/Makefile ui/config.h ui/version.h debian/mailbox
	test -f Makefile && rm -f Makefile

checkroot:
	test root = "`whoami`"


.PHONY: do_cfg build binary clean checkroot
