## xfmail 1.4.4

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Copyright(c) 1997 by Gennady B. Sorokopud (gena@NetVision.net.il) 
# 
# This software can be freely redistributed and modified for 
# non-commercial purposes as long as above copyright 
# message and this permission notice appear in all 
# copies of distributed source code and included as separate file 
# in binary distribution. 
#       
# Any commercial use of this software requires author's permission. 
# 
# This software is provided "as is" without expressed or implied 
# warranty of any kind. 
# Under no circumstances is the author responsible for the proper 
# functioning of this software, nor does the author assume any 
# responsibility for damages incurred with its use. 

# $Id: Makefile.in,v 1.15 1999/12/04 23:50:14 xfmail Exp $



version = 1.4.4

all:
	(cd ui && ${MAKE} all)

install:
	(cd ui && ${MAKE} install)

tar:
	mkdir ../xfmail-${version}
	cp -r * ../xfmail-${version}
	rm -f ../xfmail-${version}/xfmail.vtg
	rm -f ../xfmail-${version}/.snprj
	rm -f ../xfmail-${version}/xfmail.vpj
	(cd .. && tar cvf xfmail-${version}.tar xfmail-${version})
	rm -rf ../xfmail-${version}

bzip:
	bzip2 ../xfmail-${version}.tar

clean:
	rm -f config.cache config.log ui/config.h ui/version.h config.status
	(cd ui && ${MAKE} clean)
	(cd compface && ${MAKE} clean)
	(cd regex && ${MAKE} clean)

os2:
	rm -f ui/Makefile ui/config.h ui/version.h compface/Makefile \
	regex/Makefile
	(cd ui && ln -sf Makefile.os2 Makefile && \
		ln -sf config.h.os2 config.h)
	(cd compface && ln -sf Makefile.std Makefile)
	(cd regex && ln -sf Makefile.std Makefile)
	(cd ui && ${MAKE} ${MAKEFLAGS} all)

config:
	rm -f configure config.cache config.log ui/config.h ui/version.h \
	config.status
	rm -f ui/Makefile regex/Makefile compface/Makefile
	(ln -sf config/configure.in . && ln -sf config/acconfig.h .)
	(autoconf && autoheader && rm -f configure.in acconfig.h)
	./configure

dist: 
	cvs2cl.pl
	make tar
	make bzip
	rm -f config.cache config.log ui/config.h ui/version.h config.status
