=== compface/Makefile ===
# Generated automatically from Makefile.in by configure.
#
#  Compface - 48x48x1 image compression and decompression
#
#  Copyright (c) James Ashton - Sydney University - June 1990.
#
#  Written 11th November 1989.
#
#  Permission is given to distribute these sources, as long as the
#  copyright messages are not removed, and no monies are exchanged. 
#
#  No responsibility is taken for any errors on inaccuracies inherent
#  either to the comments or the code of this program, but if reported
#  to me, then an attempt will be made to fix them.

# $Id: Makefile.in,v 1.4 1999/11/08 19:24:50 xfmail Exp $

LIBNAME		= libface.a
OBJECTS		= arith.o file.o compress.o gen.o face.o
SOURCES		= face.c arith.c file.c compress.c gen.c \
HDRS		= compface.h data.h -I../include 

CC		= ${CXX}
CFLAGS		= -g -O2 -Wall -DHAVE_CONFIG_H -I../ui
CXXFLAGS 	= @XFLAGSS@

all:		$(LIBNAME)

$(LIBNAME) :	$(OBJECTS)
		ar rc $(LIBNAME) $(OBJECTS)
		-ranlib $(LIBNAME)

clean :
		rm -f *.o *.a core a.out

arith.o:	arith.c compface.h data.h
compress.o:	compress.c compface.h data.h
file.o:		file.c compface.h data.h
gen.o:		gen.c compface.h data.h
face.o:		face.c compface.h data.h
