=== config/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 2.1 1997/09/23 16:09:10 gena Exp $
+# $Id: Makefile,v 1.1.1.1 1999/10/19 13:52:05 cfreeze Exp $
 
 all:
 	(cd .. && rm -f configure.in acconfig.h config.log config.cache config.status)
