=== ui/Makefile ===
# Generated automatically from Makefile.in by configure.
# 
# Copyright(c) 1995-1998 by Gennady B. Sorokopud (gena@NetVision.net.il) 
# 
# This software can be freely redistributed and modified for 
# non-commercial purposes as long as above copyright 
# message and this permission notice appear in all 
# copies of distributed source code and included as separate file 
# in binary distribution. 
#       
# Any commercial use of this software requires author's permission. 
# 
# This software is provided "as is" without expressed or implied 
# warranty of any kind. 
# Under no circumstances is the author responsible for the proper 
# functioning of this software, nor does the author assume any 
# responsibility for damages incurred with its use. 
# 

# $Id: Makefile.in,v 1.14 1999/11/11 17:55:14 xfmail Exp $

# change the following settings according to your system configuration

# How to link faces library
FACELIB     = -L../compface -lface
FACEFLAGS   = -I../compface -DFACES
FACEDP      = ../compface/libface.a
# NOTE: this enables support only for mailheader faces.
# Support for faces (picons) database is builtin and could
# be turned on or off using Faces configuration dialog.

# How to link regex library
REGLIB      = 
REGFLAGS    = 
REGDP       = 

# to turn on sound support uncomment the following line
# if you want to turn on NAS support uncomment -DNAS_SOUND and -laudio
SOUNDFLAGS  = -DUSE_SOUND
SOUNDLIB    = 

# additional defines
XFDEFS      = 

CC = ${CXX}
CFLAGS      = -g -O2 
XCFLAGS     = ${CFLAGS}  -DHAVE_CONFIG_H  \
		${FACEFLAGS} ${REGFLAGS} ${SOUNDFLAGS} \
		-I. -I../mail -I../pixmap -I../editor -I../include    -I/usr/X11R6/include 
LDADD       = ${FACELIB} ${REGLIB} ${SOUNDLIB} -lnsl -ldb -lforms -lXpm  -L/usr/local/lib  -lSM -lICE   -L/usr/X11R6/lib -lX11  -lm -lpthread 
CXXFLAGS 	= ${XCFLAGS}

prefix      = /usr/local
exec_prefix = ${prefix}
BINDIR      = ${exec_prefix}/bin
MANDIR      = ${prefix}/man
INSTALL     = /usr/bin/install -c

# end of user configurable settings

HELPFILE    = help.txt

MAN         = xfmail.1

OBJS =  xfmail.o cfgfile.o msg.o \
	dialogs.o choose_folder.o about.o help.o addr_book.o \
	font.o config.o inc.o misc.o sign.o sort.o rules.o \
	view_edit.o child.o pop_smtp.o search.o faces.o RdBitF.o \
	log.o mime_conf.o rep_fwd.o int_conf.o sound.o imap_conf.o \
	pgp.o keymap.o spellchecker.o \
	fmail.o util.o pop.o smtp.o nntp.o uucode.o mime.o imap.o cache.o \
	mbox.o fl_edit.o textbuf.o md5.o connection.o connectionManager.o

xfmail: ${OBJS} ${FACEDP} ${REGDP}
	${CC} -o $@ ${OBJS} ${LDADD}

all: xfmail

install: xfmail
	${INSTALL} -s -o bin -g bin -m 555 xfmail ${BINDIR}
	${INSTALL} -o bin -g bin -m 444 ${MAN} ${MANDIR}/man1

clean:
	rm -f ${OBJS} xfmail core help.h *.bak *.orig *.core libregex.a



help.h: ${HELPFILE} ../ChangeLog
	@./help_gen

../ChangeLog :
	touch ../ChangeLog

${FACEDP}:
	(cd ../compface; ${MAKE})

${REGDP}:
	(cd ../regex; ${MAKE})

help.o: help.h
fmail.o: version.h
xfmail.o: version.h
about.o: version.h
mime.o: version.h
cfgfile.o: version.h

connection.o: ../mail/connection.cpp
	${CXX} -c ${CXXFLAGS} ../mail/connection.cpp

connectionManager.o: ../mail/connectionManager.cpp
	${CXX} -c ${CXXFLAGS} ../mail/connectionManager.cpp

cfgfile.o: cfgfile.cpp
	${CXX} -c ${CXXFLAGS} cfgfile.cpp

fmail.o: ../mail/fmail.c
	${CC} -c ${XCFLAGS} ../mail/fmail.c

util.o: ../mail/util.c
	${CC} -c ${XCFLAGS} ../mail/util.c

pop.o: ../mail/pop.c
	${CC} -c ${XCFLAGS} ../mail/pop.c

imap.o: ../mail/imap.c
	${CC} -c ${XCFLAGS} ../mail/imap.c

smtp.o: ../mail/smtp.c
	${CC} -c ${XCFLAGS} ../mail/smtp.c

nntp.o: ../mail/nntp.c
	${CC} -c ${XCFLAGS} ../mail/nntp.c

uucode.o: ../mail/uucode.c
	${CC} -c ${XCFLAGS} ../mail/uucode.c

mime.o: ../mail/mime.c
	${CC} -c ${XCFLAGS} ../mail/mime.c

cache.o: ../mail/cache.c
	${CC} -c ${XCFLAGS} ../mail/cache.c

mbox.o: ../mail/mbox.c
	${CC} -c ${XCFLAGS} ../mail/mbox.c

md5.o: ../mail/md5.c
	${CC} -c ${XCFLAGS} ../mail/md5.c

fl_edit.o: ../editor/fl_edit.c
	${CC} -c ${XCFLAGS} ../editor/fl_edit.c

textbuf.o: ../editor/textbuf.c
	${CC} -c ${XCFLAGS} ../editor/textbuf.c

.c.o:
	${CC} -c ${XCFLAGS} $<

.cpp.o:
	${CXX} -c ${CXXFLAGS} $<
